%define languageenglazy Russian
%define languagecode    ru
%define lc_ctype        ru_RU

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.99f7
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD
Group:          System/Internationalization
URL:            ftp://scon155.phys.msu.su/pub/russian/ispell/myspell
Source0:        ftp://ftp.vsu.ru/mirrors/scon155.phys.msu.su/pub/russian/ispell/myspell/rus-myspell-%{version}.tar.gz

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ru
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ru_UA = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ru_UA = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p ru_myspell.dict %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ru_RU.koi8r.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

ru_RU_aliases="ru_UA"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $ru_RU_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $ru_RU_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSE readme.koi
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 1:0.99f7-8.mga2
+ Revision: 224808
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 1:0.99f7-7.mga2
+ Revision: 209068
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 1:0.99f7-6.mga2
+ Revision: 206321
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.99f7-5.mga1
+ Revision: 69054
- imported package hunspell-ru

